using System;
using System.Web.UI.WebControls;
using System.Web.UI;
using System.ComponentModel;
using System.ComponentModel.Design;
using AjaxControlToolkit;

[assembly: System.Web.UI.WebResource("FontSize.FontSizeBehavior.js", "text/javascript")]

namespace FontSize
{
    [Designer(typeof(FontSizeDesigner))]
    [ClientScriptResource("FontSize.FontSizeBehavior", "FontSize.FontSizeBehavior.js")]
    [TargetControlType(typeof(Panel))]
    [RequiredScript(typeof(HoverExtender))]
    [RequiredScript(typeof(PopupExtender))]
    [RequiredScript(typeof(CommonToolkitScripts))]
    [RequiredScript(typeof(AnimationScripts))]
    public class FontSizeExtender : ExtenderControlBase
    {
        public FontSizeExtender()
        {
            EnableClientState = true;
        }

        [ExtenderControlProperty]
        [DefaultValue("")]
        [RequiredProperty]
        [IDReferenceProperty(typeof(Panel))]
        [ElementReference]
        [ClientPropertyName("sizePanelElement")]
        public string SizePanelControlID
        {
            get
            {
                return GetPropertyValue("SizePanelControlID", "");
            }
            set
            {
                SetPropertyValue("SizePanelControlID", value);
            }
        }

        [ExtenderControlProperty]
        [IDReferenceProperty]
        [ElementReference]
        [RequiredProperty]
        [DefaultValue("")]
        [ClientPropertyName("increaseSizeElement")]
        public string IncreaseSizeControlID
        {
            get
            {
                return GetPropertyValue("IncreaseSizeControlID", "");
            }
            set
            {
                SetPropertyValue("IncreaseSizeControlID", value);
            }
        }

        [ExtenderControlProperty]
        [IDReferenceProperty]
        [ElementReference]
        [RequiredProperty]
        [DefaultValue("")]
        [ClientPropertyName("decreaseSizeElement")]
        public string DecreaseSizeControlID
        {
            get
            {
                return GetPropertyValue("DecreaseSizeControlID", "");
            }
            set
            {
                SetPropertyValue("DecreaseSizeControlID", value);
            }
        }

        [ExtenderControlProperty]
        [DefaultValue(2)]
        [ClientPropertyName("fontSizeDelta")]
        public int FontSizeDelta
        {
            get
            {
                return GetPropertyValue("FontSizeDelta", 2);
            }
            set
            {
                SetPropertyValue("FontSizeDelta", value);
            }
        }
    }
}
