﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="After.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>ImageFlix Sample</title>
    <link href="StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePartialRendering="true" />
        <center>
            <asp:Panel ID="Frame" runat="server" CssClass="frame">
                <asp:Panel ID="Title" runat="server" CssClass="title">
                    ImageFlix
                </asp:Panel>
                <asp:Panel ID="Content" runat="server" CssClass="content">
                    <asp:Panel ID="Fader" runat="server">
                        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                            <ContentTemplate>
                                <asp:DataList ID="DataList1" runat="server" RepeatColumns="5">
                                    <ItemTemplate>
                                        <asp:Panel ID="Panel1" runat="server" Height="100px" Width="100px" CssClass="panel">
                                            <asp:Image ID="Image1" runat="server" ImageUrl='<%# ImageFromFile((string)Eval("FileName"), 100, 100) %>' />
                                        </asp:Panel>
                                        <ajaxToolkit:HoverMenuExtender ID="HoverMenuExtender1" runat="server" TargetControlID="Panel1"
                                            OffsetX="50" OffsetY="50" PopupControlID="Panel2" HoverCssClass="panelHover"
                                            DynamicControlID="Label1" DynamicServiceMethod="GetDetails" DynamicContextKey='<%# Eval("FileName") %>' />
                                        <asp:Panel ID="Panel2" runat="server" CssClass="popup" Style="display: none">
                                            <asp:Label ID="Label1" runat="server" />
                                        </asp:Panel>
                                    </ItemTemplate>
                                </asp:DataList>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </asp:Panel>
                    <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
                        TargetControlID="UpdatePanel1">
                        <Animations>
                            <OnUpdating>
                                <FadeOut AnimationTarget="Fader" MinimumOpacity="0.2" Duration="0.25" />
                            </OnUpdating>
                            <OnUpdated>
                                <FadeIn AnimationTarget="Fader" MinimumOpacity="0.2" Duration="0.25" />
                            </OnUpdated>
                        </Animations>
                    </ajaxToolkit:UpdatePanelAnimationExtender>
                </asp:Panel>
                <asp:Panel ID="Inputs" runat="server" CssClass="inputs">
                    <asp:UpdatePanel ID="UpdatePanel2" runat="server">
                        <ContentTemplate>
                            <asp:Panel ID="PopularGroup" runat="server" CssClass="group">
                                <asp:Panel ID="PopularHeader" runat="server" Style="cursor: pointer">
                                    <asp:Label ID="PopularLabel" runat="server" Text="Popular Groups" />
                                </asp:Panel>
                                <asp:Panel ID="PopularContent" runat="server">
                                    <asp:LinkButton ID="LinkButton1" runat="server">Pretty images</asp:LinkButton><br />
                                    <asp:LinkButton ID="LinkButton2" runat="server">Cool images</asp:LinkButton><br />
                                    <asp:LinkButton ID="LinkButton3" runat="server">Neat images</asp:LinkButton><br />
                                    <asp:LinkButton ID="LinkButton4" runat="server">Silly images</asp:LinkButton><br />
                                </asp:Panel>
                                <ajaxToolkit:CollapsiblePanelExtender ID="CollapsiblePanelExtender1" runat="server"
                                    TargetControlID="PopularContent" TextLabelID="PopularLabel" CollapsedText="Popular Groups &#9660;"
                                    ExpandedText="Popular Groups &#9650;" CollapseControlID="PopularHeader" ExpandControlID="PopularHeader" />
                            </asp:Panel>
                            <br />
                            <asp:Panel ID="NewGroup" runat="server" CssClass="group">
                                <asp:Panel ID="NewHeader" runat="server" Style="cursor: pointer">
                                    <asp:Label ID="NewLabel" runat="server" Text="New Groups" />
                                </asp:Panel>
                                <asp:Panel ID="NewContent" runat="server">
                                    <asp:LinkButton ID="LinkButton5" runat="server">Animals</asp:LinkButton><br />
                                    <asp:LinkButton ID="LinkButton6" runat="server">Landscapes</asp:LinkButton><br />
                                    <asp:LinkButton ID="LinkButton7" runat="server">Other</asp:LinkButton><br />
                                </asp:Panel>
                                <ajaxToolkit:CollapsiblePanelExtender ID="CollapsiblePanelExtender2" runat="server"
                                    TargetControlID="NewContent" TextLabelID="NewLabel" CollapsedText="New Groups &#9660;"
                                    ExpandedText="New Groups &#9650;" CollapseControlID="NewHeader" ExpandControlID="NewHeader" />
                            </asp:Panel>
                            <br />
                            <asp:Panel ID="SearchGroup" runat="server" CssClass="group">
                                Search:<br />
                                <asp:TextBox ID="Search" runat="server" Width="120" /><br />
                                <asp:Button ID="Submit" runat="server" Text="Go" />
                                <ajaxToolkit:TextBoxWatermarkExtender ID="TextBoxWatermarkExtender1" runat="server"
                                    TargetControlID="Search" WatermarkText="Type query" WatermarkCssClass="watermark" />
                            </asp:Panel>
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </asp:Panel>
            </asp:Panel>
        </center>
    </form>
</body>
</html>
